import pkg_resources
from setuptools import setup

try:
    pyserial_distribution = pkg_resources.get_distribution('pyserial')
    raise RuntimeError(
        'This package cannot be installed alongside `pyserial`, due to a module name conflict. ' +
        'To install `serial`, first uninstall `pyserial`: \n' +
        '>>> pip uninstall pyserial\n' +
        '>>> pip install serial\n' +
        '...or:\n'
        '>>> pip3 uninstall pyserial\n'
        '>>> pip3 install serial\n'
    )
except pkg_resources.DistributionNotFound:
    pass

setup(
    name='serial',
    version="0.0.77",
    description='A framework for serializing/deserializing JSON/YAML/XML into python class instances and vice versa',
    url='https://bitbucket.com/davebelais/serial.git',
    author='David Belais',
    author_email='david@belais.me',
    license='MIT',
    classifiers=[
        # 'Development Status :: 1 - Planning',
        'Development Status :: 2 - Pre-Alpha',
        # 'Development Status :: 3 - Alpha',
        # 'Development Status :: 4 - Beta',
        # 'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    keywords='rest api serialization serialize',
    packages=['serial'],
    install_requires=[
        "future>=0.17.1",
        "pyyaml>=3.13",
        "iso8601>=0.1.12"
    ],
)
